
# open.api.gaore.com
server {
    listen 80;
    server_name open.api.gaore.com;
    index index.php;
    root /www/gaore/open.api.gaore.com/public;

    access_log  /var/log/nginx/open.api.gaore.com.access.log  main;
    error_log  /var/log/nginx/open.api.gaore.com.error.log  warn;
    
    location / {
        try_files $uri $uri/ @rewrite;
    }

    location @rewrite {
       #set $request_path $uri;
       rewrite ^/(.*)$ /index.php?_url=/$1;
    }  

    location ~ \.php(.*)$ {
        fastcgi_pass   host.docker.internal:9070;
        fastcgi_index  index.php;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_param  SCRIPT_FILENAME  $document_root$fastcgi_script_name;
        fastcgi_param  PATH_INFO $fastcgi_path_info;
        fastcgi_param  PATH_TRANSLATED  $document_root$fastcgi_path_info;
        fastcgi_param  QUAN_DEBUG  On;
        fastcgi_param  GAORE_ENVIRONMENT  development;
        include        fastcgi_params;
    }

    # deny access to .htaccess files, if Apache's document root
    # concurs with nginx's one
    #
    location ~ /\.ht {
       deny  all;
    }
}
    